Name:           javacc-maven-plugin
Version:        2.6
Release:        %mkrel 26
Group:          Development/Java
Summary:        JavaCC Maven Plugin
License:        ASL 2.0
URL:            http://mojo.codehaus.org/javacc-maven-plugin/ 
BuildArch:      noarch

#svn export http://svn.codehaus.org/mojo/tags/javacc-maven-plugin-2.6
#tar cjf javacc-maven-plugin-2.6.tar.bz2 javacc-maven-plugin-2.6
Source0:        javacc-maven-plugin-2.6.tar.bz2
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:         javacc-maven-plugin-pom.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java.dev.javacc:javacc)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
Maven Plugin for processing JavaCC grammar files.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 
%patch0 -b .sav
cp -p %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt src/main/resources/NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt src/main/resources/NOTICE




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2.6-26.mga9
+ Revision: 1827289
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.6-25.mga8
+ Revision: 1490571
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.6-24.mga7
+ Revision: 1262215
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 2.6-23.mga6
+ Revision: 1102612
- Add missing BuildRequires to fix FTBFS

* Wed Mar 02 2016 neoclust <neoclust> 2.6-22.mga6
+ Revision: 981854
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6-21.mga6
+ Revision: 976458
- First rebuild of the java stack
- sync package javacc-maven-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.6-16.mga5
+ Revision: 805677
- Clean rebuild
- Sync with Fedora 21
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.6-14.mga5
+ Revision: 747809
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 luigiwalser <luigiwalser> 2.6-12.mga4
+ Revision: 506418
- BR maven-local for mvn-rpmbuild
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6-10.mga3
+ Revision: 354828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 2.6-9.mga3
+ Revision: 325656
- Build with Maven 3

* Thu Apr 28 2011 dmorgan <dmorgan> 2.6-8.mga1
+ Revision: 92531
- Rebuild after bootstrapping
- imported package javacc-maven-plugin

